Rockbox Technical Forums

Installation / Removal => Manual Installation => Iriver - Installation/Removal/Flashing => Topic started by: Jillorious on August 10, 2006, 08:04:17 PM

Title: Firmware thats compatible
Post by: Jillorious on August 10, 2006, 08:04:17 PM
I've patched a korean firmware version 1.28, doesn't work. I guess i need a later version, but i cant find it. Can anybody PLEASE post a link to it? PLEASE.
Title: Re: Firmware thats compatible
Post by: Didgeridoohan on August 10, 2006, 08:14:27 PM
Have you checked this out:

http://www.rockbox.org/twiki/bin/view/Main/ManualRockboxInstall#iriver_jukeboxes

There you have detailed instructions and links to all the firmwares.

By the way... What do you mean when you say it doesn't work? What happens?

Edit: Typo
Title: Re: Firmware thats compatible
Post by: Jillorious on August 10, 2006, 09:12:16 PM
Thanks. I'm not at my desktop right now to try it. What i ment that it doesn't work is that it boots into the iriver firmware normaly. (i did copy the appropriate folder and file to the root directory).
Title: Re: Firmware thats compatible
Post by: Didgeridoohan on August 10, 2006, 10:01:04 PM
Do you get any kind of Rockbox info before the original firmware? If not, it seems as if you have done something wrong...

Did you follow all the steps of the installation instructions? Patching the firmware, unzipping the build of your choice to the root of your player and then flashing your player with the patched firmware. If you do this it should work...
Title: Re: Firmware thats compatible
Post by: Llorean on August 10, 2006, 10:02:29 PM
Sometimes it makes a difference whether you name the file h300.hex or H300.hex
Title: Re: Firmware thats compatible
Post by: Jillorious on August 12, 2006, 02:49:54 PM
Sometimes it makes a difference whether you name the file h300.hex or H300.hex
but upon rebooting the player it DOES say that it's booting the  1.28 korean firmware.
Title: Re: Firmware thats compatible
Post by: Llorean on August 12, 2006, 03:00:44 PM
Still, try it the other way.
Title: Re: Firmware thats compatible
Post by: Jillorious on August 13, 2006, 07:27:30 PM
'x. I used the 1.30 korean firmware and it worked flawlessly. As for switching between h/H, didn't help. But thanks anyhow.